svn commit: samba r19168 - in branches/SAMBA_3_0/source/script/tests: .

metze at samba.org metze at samba.org
Sun Oct 8 20:17:55 GMT 2006


Author: metze
Date: 2006-10-08 20:17:55 +0000 (Sun, 08 Oct 2006)
New Revision: 19168

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=19168

Log:
use the correct configuration

metze
Modified:
   branches/SAMBA_3_0/source/script/tests/test_smbclient_s3.sh


Changeset:
Modified: branches/SAMBA_3_0/source/script/tests/test_smbclient_s3.sh
===================================================================
--- branches/SAMBA_3_0/source/script/tests/test_smbclient_s3.sh	2006-10-07 20:35:59 UTC (rev 19167)
+++ branches/SAMBA_3_0/source/script/tests/test_smbclient_s3.sh	2006-10-08 20:17:55 UTC (rev 19168)
@@ -24,7 +24,7 @@
     prompt="smb"
 
     echo du | \
-	$SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp 2>&1 | \
+	$SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp 2>&1 | \
     grep $prompt
 
     if [ $? = 0 ] ; then
@@ -48,7 +48,7 @@
 EOF
 
     CLI_FORCE_INTERACTIVE=yes \
-    $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp \
+    $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp \
 	< $tmpfile 2>/dev/null | \
     grep $prompt
 
@@ -63,8 +63,8 @@
     fi
 }
 
-testit "smbclient -L $SERVER_IP" $SMBCLIENT -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
-testit "smbclient -L $SERVER" $SMBCLIENT -L $SERVER -N -p 139 || failed=`expr $failed + 1`
+testit "smbclient -L $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
+testit "smbclient -L $SERVER" $SMBCLIENT $CONFIGURATION -L $SERVER -N -p 139 || failed=`expr $failed + 1`
 
 testit "noninteractive smbclient does not prompt" \
     test_noninteractive_no_prompt || \



More information about the samba-cvs mailing list